rp.panel {rpanel} | R Documentation

## Returns a panel

### Description

Returns a named (by passing the name as a string parameter) panel.

### Usage

    rp.panel(panelname)

### Arguments

`panelname` | optional string parameter. If set the panel of that name is returned, if not set the most recently created panel is returned.

### Value

If `panelname` is set, the panel of that name is returned. If it is not set, the most recently created panel is returned.

### Warning

Note: returning of the most recent panel may fail when running R on a Windows machine in DOS. A warning is contained within the function.

### References

rpanel: Simple interactive controls for R functions using the tcltk package. Journal of Statistical Software, 17, issue 9.

### See Also

`rp.control`

### Examples

    ## Not run:
       # create a panel - will be created in .rpenv as "newpanel"
       rp.control(panelname = "newpanel")
       # creates the panel, but does not return a handle to it - created as ".rpanel2"
       rp.control()
       # pick up the first panel
       panel2 <- rp.panel("newpanel")

    ## End(Not run)

[Package rpanel version 1.1-4 Index]